%define name SL_desktop_tweaks
%define version 5
%define release 2
%define GTOOL /usr/bin/gconftool-2

Summary: Small desktop tweaks such as default buttons on panel
Name: %{name}
Version: %{version}
Release: %{release}
License:        GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
Obsoletes: zz_desktop_tweeks, SL_desktop_tweeks
BuildRoot: %{_tmppath}/%{name}-%{version}root

%description
This changes minor desktop annoyances, such as the default buttons on KDE's
and Gnome's panel.

%prep
%setup -q

%install
#put in kicker panel files
mkdir -p $RPM_BUILD_ROOT/usr/share/config
cp -r * $RPM_BUILD_ROOT/usr/share/config

%post
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.sl /usr/share/config/kickerrc
fi
if [ -f %{GTOOL} ] ; then
	export GCONF_CONFIG_SOURCE=`%{GTOOL} --get-default-source`
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries > /dev/null
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries /apps/panel > /dev/null
fi
if [ -f /etc/X11/gdm/gdm.conf ] ; then
	cat /etc/X11/gdm/gdm.conf | sed 's:ShowLastSession=false:ShowLastSession=true:' > /etc/X11/gdm/gdm.conf.tmp
	mv /etc/X11/gdm/gdm.conf.tmp /etc/X11/gdm/gdm.conf
fi

%postun
if [ "$1" = "0" ] ; then
	if [ -f /etc/X11/gdm/gdm.conf ] ; then
		cat /etc/X11/gdm/gdm.conf | sed 's:ShowLastSession=true:ShowLastSession=false:' > /etc/X11/gdm/gdm.conf.tmp
		mv /etc/X11/gdm/gdm.conf.tmp /etc/X11/gdm/gdm.conf
	fi
fi

%triggerin -- gnome-panel
if [ -f %{GTOOL} ] ; then
	export GCONF_CONFIG_SOURCE=`%{GTOOL} --get-default-source`
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries > /dev/null
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries /apps/panel > /dev/null
fi

%triggerpostun -- gnome-panel
if [ -f %{GTOOL} ] ; then
	export GCONF_CONFIG_SOURCE=`%{GTOOL} --get-default-source`
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries > /dev/null
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries /apps/panel > /dev/null
fi

%triggerin -- kdebase
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.sl /usr/share/config/kickerrc
fi

%triggerpostun -- kdebase
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.sl /usr/share/config/kickerrc
fi

%triggerin -- gdm
if [ -f /etc/X11/gdm/gdm.conf ] ; then
	cat /etc/X11/gdm/gdm.conf | sed 's:ShowLastSession=false:ShowLastSession=true:' > /etc/X11/gdm/gdm.conf.tmp
	mv /etc/X11/gdm/gdm.conf.tmp /etc/X11/gdm/gdm.conf
fi

%files
/usr/share/config
